Bug 600760 - [abrt] crash in epiphany-2.30.2-1.fc13: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in epiphany-2.30.2-1.fc13: Process /usr/bin/epiphany was killed ...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bb1ea941007be13e7228ada5d52...
Keywords:
: 644725 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-05 22:34 UTC by Peter Dawes
Modified: 2011-06-27 17:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 17:35:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.77 KB, text/plain)
2010-06-05 22:34 UTC, Peter Dawes
no flags Details

Description Peter Dawes 2010-06-05 22:34:28 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: epiphany
comment: Not quite sure what happened to cause this crash in epiphany.  Will pay more attention if it happens again.
component: epiphany
crash_function: IA__gtk_tree_model_get_iter_first
executable: /usr/bin/epiphany
global_uuid: bb1ea941007be13e7228ada5d52685674fad3d55
kernel: 2.6.33.5-112.fc13.x86_64
package: epiphany-2.30.2-1.fc13
rating: 4
reason: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

Comment 1 Peter Dawes 2010-06-05 22:34:30 UTC
Created attachment 421506 [details]
File: backtrace

Comment 2 d. johnson 2010-07-28 17:17:48 UTC
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.

Disable any extensions, plugins and non-default themes.  Exit cleanly and restart thunderbird.  Are you able to replicate the crash?




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Peter Dawes 2010-07-28 20:55:24 UTC
No, I'm not able to replicate the crash.  Of course, I'm not really sure what caused it to crash the first time, so I don't have a good test case.  However, I have been using it for a couple of hours now with no crashes...

Comment 4 Karel Klíč 2010-11-09 16:39:49 UTC
*** Bug 644725 has been marked as a duplicate of this bug. ***

Comment 5 Joachim Frieben 2011-02-11 21:15:36 UTC
(In reply to comment #4)

How to reproduce
-----
1. Open "Preferences > Privacy".
2. Click "Temporary Files > Clear".
3. Select all available items to be cleared and click "Clear".

epiphany then still crashes. Installed packages include:
- epiphany-2.30.2-1.fc13.i686
- webkitgtk-1.2.7-1.fc13.i686

After the crash, file .xsession-errors exhibits a trailing entry

(epiphany:3757): GLib-GObject-WARNING **: invalid cast from `PrefsDialog' to `PdmDialog'

Comment 6 Joachim Frieben 2011-02-12 15:06:03 UTC
(In reply to comment #5)
Abrt has cc'ed the same issue on F14 to bug 671047.

Comment 7 Bug Zapper 2011-06-02 11:55:41 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Peter Dawes 2011-06-02 14:55:34 UTC
This bug is still an issue in F14, as mentioned in comment 6.  See bug ID 671047.

Comment 9 Bug Zapper 2011-06-27 17:35:44 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.